> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an enterprise

> Delete an enterprise and all associated resources. This action is irreversible.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/number-reputation/enterprises.yml delete /enterprises/{enterprise_id}
openapi: 3.1.0
info:
  title: Telnyx Number Reputation Enterprises API
  version: 2.0.0
  description: >-
    Manage enterprises for Number Reputation. An enterprise represents your
    business entity and is the top-level resource for reputation monitoring.
    Register your organization once, then enable Number Reputation to start
    monitoring your phone numbers' spam reputation.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /enterprises/{enterprise_id}:
    delete:
      tags:
        - Enterprises
      summary: Delete an enterprise
      description: >-
        Delete an enterprise and all associated resources. This action is
        irreversible.
      operationId: DeleteEnterprise
      parameters:
        - $ref: '#/components/parameters/EnterpriseId'
      responses:
        '204':
          description: Enterprise deleted successfully
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await
            client.enterprises.delete('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.enterprises.delete(
                "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Enterprises.Delete(context.TODO(), \"6a09cdc3-8948-47f0-aa62-74ac943d6c58\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.enterprises.EnterpriseDeleteParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    client.enterprises().delete("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            result =
            telnyx.enterprises.delete("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(result)
        - lang: CLI
          source: |-
            telnyx enterprises delete \
              --api-key 'My API Key' \
              --enterprise-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    EnterpriseId:
      name: enterprise_id
      in: path
      required: true
      description: Unique identifier of the enterprise (UUID)
      schema:
        type: string
        format: uuid
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
  schemas:
    branded-calling_ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/TelnyxError'
    TelnyxError:
      type: object
      properties:
        code:
          type: string
          description: Telnyx error code
          example: '10015'
        title:
          type: string
          description: Short error title
          example: Bad Request
        detail:
          type: string
          description: Human-readable error detail
          example: User has already agreed to Terms of Service version v1.0.0
        meta:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Link to error documentation
        source:
          type: object
          description: Reference to the field that caused the error
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the field that caused the error
              example: /body/organization_type
      required:
        - code
        - title
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````